/***************************************************************************
 *   Copyright (C) 2004 by Aleix Pol,,,                                    *
 *   boooring@gmail.com                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "mainwin.h"

MainWin::MainWin(QWidget *parent, const char *name) : QWidget(parent, name)
{
	setMinimumSize( 250, 150 );
	setMaximumSize( 250, 150 );
	text = new QTextEdit(this, "Text");
	text->setText("Hola HispaByte!");
	text->setGeometry( 0, 30, 250, 100);
	boto = new QPushButton("Muestra",this);
	boto->setGeometry( 75, 0, 100, 25);
	connect(boto, SIGNAL(released()),this, SLOT(set()));
}

void MainWin::set(){
        QMessageBox::warning(this, "Titulo", text->text(),"Ok", "Cancelar",0,0,1);
}

MainWin::~MainWin(){
	delete text;
	delete boto;
}


